## Submitting issues

If you have questions about how to install or use ownCloud, please direct these to the [mailing list][mailinglist] or our [forum][forum]. We are also available on [IRC][irc].

### Short version

 * The [**issue template can be found here**][template] but be aware of the different repositories! See list below. Please always use the issue template when reporting issues.

### Guidelines
* Please search the existing issues first, it's likely that your issue was already reported or even fixed.
  - Go to one of the repositories, click "issues" and type any word in the top search/command bar.
  - You can also filter by appending e. g. "state:open" to the search string.
  - More info on [search syntax within github](https://help.github.com/articles/searching-issues)
* Report the issue using our [template][template], it includes all the informations we need to track down the issue.
* This repository is *only* for issues within the ownCloud mail code. Issues in other compontents should be reported in their own repositores: 
  - [ownCloud core](https://github.com/owncloud/core)
  - [Activity](https://github.com/owncloud/activity/issues)
  - [Bookmarks](https://github.com/owncloud/bookmarks/issues)
  - [Calendar](https://github.com/owncloud/calendar/issues)
  - [Contacts](https://github.com/owncloud/contacts/issues)
  - [Documents](https://github.com/owncloud/documents/issues)
  - [Gallery](https://github.com/owncloud/gallery/issues)
  - [Music](https://github.com/owncloud/music/issues)
  - [News](https://github.com/owncloud/news/issues)
  - [Notes](https://github.com/owncloud/notes/issues)
  - [Tasks](https://github.com/owncloud/tasks/issues)
  - [All other apps](https://github.com/owncloud/apps/issues)

If your issue appears to be a bug, and hasn't been reported, open a new issue.

Help us to maximize the effort we can spend fixing issues and adding new features, by not reporting duplicate issues.

[template]: https://raw.github.com/owncloud/mail/master/issue_template.md
[mailinglist]: https://mail.kde.org/mailman/listinfo/owncloud
[forum]: http://forum.owncloud.org/
[irc]: https://webchat.freenode.net/?channels=owncloud-mail

## Contributing to Source Code

Thanks for wanting to contribute source code to ownCloud Mail. That's great!

[devmanual]: http://owncloud.org/dev/

## Translations
Please submit translations via [Transifex][transifex].

[transifex]: https://www.transifex.com/projects/p/owncloud/
